=== debian/changelog ===
zint (2.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 Jun 2022 12:31:40 +1000
