## zint 2.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 set(ZINT_VERSION_MAJOR 2)
 set(ZINT_VERSION_MINOR 11)
-set(ZINT_VERSION_RELEASE 0)
+set(ZINT_VERSION_RELEASE 1)
 set(ZINT_VERSION_BUILD 0) # Set to 0 before release, set to 9 after release
 set(ZINT_VERSION "${ZINT_VERSION_MAJOR}.${ZINT_VERSION_MINOR}.${ZINT_VERSION_RELEASE}.${ZINT_VERSION_BUILD}")
 
@@ -25,6 +25,7 @@
 option(ZINT_STATIC   "Build static library"            OFF)
 option(ZINT_USE_PNG  "Build with PNG support"          ON)
 option(ZINT_USE_QT   "Build with Qt support"           ON)
+option(ZINT_QT6      "If ZINT_USE_QT, use Qt6"         OFF)
 
 include(SetPaths.cmake)
 
@@ -137,7 +138,7 @@
 
 if(NOT ZINT_USE_QT)
     message(STATUS "Qt support was disabled for this build")
-elseif($ENV{CMAKE_PREFIX_PATH} MATCHES "6[.][0-9][.][0-9]")
+elseif(ZINT_QT6 OR ($ENV{CMAKE_PREFIX_PATH} MATCHES "6[.][0-9][.][0-9]"))
     set(USE_QT6 TRUE)
     message(STATUS "Using Qt6")
     cmake_policy(SET CMP0012 NEW) # Recognize constants in if()
@@ -145,9 +146,9 @@
     find_package(Qt6Widgets)
     find_package(Qt6Gui)
     find_package(Qt6UiTools)
-    find_package(Qt6Xml)
-
-    if(Qt6Widgets_FOUND AND Qt6Gui_FOUND AND Qt6UiTools_FOUND AND Qt6Xml_FOUND)
+    find_package(Qt6Svg)
+
+    if(Qt6Widgets_FOUND AND Qt6Gui_FOUND AND Qt6UiTools_FOUND AND Qt6Svg_FOUND)
         message(STATUS "Qt version: " ${Qt6Core_VERSION_MAJOR}.${Qt6Core_VERSION_MINOR}.${Qt6Core_VERSION_PATCH})
         add_subdirectory(backend_qt)
         add_subdirectory(frontend_qt)
@@ -159,9 +160,9 @@
     find_package(Qt5Widgets)
     find_package(Qt5Gui)
     find_package(Qt5UiTools)
-    find_package(Qt5Xml)
-
-    if(Qt5Widgets_FOUND AND Qt5Gui_FOUND AND Qt5UiTools_FOUND AND Qt5Xml_FOUND)
+    find_package(Qt5Svg)
+
+    if(Qt5Widgets_FOUND AND Qt5Gui_FOUND AND Qt5UiTools_FOUND AND Qt5Svg_FOUND)
         message(STATUS "Qt version: " ${Qt5Core_VERSION_STRING})
         # Old Qt does not provide QT_VERSION_MAJOR
         if (NOT QT_VERSION_MAJOR)
