=== debian/changelog ===
zint (2.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends += "libqt5svg5-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 19 Sep 2022 16:05:03 +1000
