=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 12)
     ,cmake
     ,libpng-dev
+    ,libqt5svg5-dev
     ,qtbase5-dev
     ,qttools5-dev
 Standards-Version: 4.6.1
